Worker::chunk
Worker::getStacked
Worker
PHP Manual

# Worker::getCreatorId

(PECL pthreads >= 0.36)

Worker::getCreatorId — Identification

### Description

final public long Worker::getCreatorId ( void )

Will return the identity of the Thread that created the referenced Thread

### Parameters

This function has no parameters.

### Return Values

A numeric identity

### Examples

Example #1 Return the identity of the Thread or Process that created the referenced Worker

`<?php
class My extends Thread {
public function run() {
printf("%s created by Thread #%lu\n", __CLASS__, $this->getCreatorId());
}
}
$my = new My();
$my->start();
?>`

The above example will output:

    My created by Thread #123456778899

Worker::chunk
Worker::getStacked
Worker
PHP Manual